Pecl OCI8

Setiap instalasi server aplikasi jika dan kebetulan menggunakan database oracle mana di perlukan oci8, tidak sembarangan kita bisa langsung pake oci8. Tergantung pada php yang digunakan pada server tersebut versi brapa.

Oci8 adalah ektensi sebagai perantara server aplikasi agar konek ke database

Berikut list pecl oci8 sesuai versi php :

No Keterangan
1 Use ‘pecl install oci8’ to install for PHP 8.1.
2 Use ‘pecl install oci8-3.0.1’ to install for PHP 8.0.
3 Use ‘pecl install oci8-2.2.0’ to install for PHP 7.
4 Use ‘pecl install oci8-2.0.12’ to install for PHP 5.2 – PHP 5.6.

Kesimpulan

Pastikan setiap melakukan instalasi server versi php yang digunakan, catatan saja untuk php 7.3 ke atas jika menggunan perintah session start kemungkinan ada error paling aman gunakan versi 7.1

 

Sekian penjelasan terkait prcl, terima kasih

Referensi :
https://pecl.php.net/package/oci8

Pos terkait

Tinggalkan Balasan

Alamat email Anda tidak akan dipublikasikan. Ruas yang wajib ditandai *

Situs ini menggunakan Akismet untuk mengurangi spam. Pelajari bagaimana data komentar Anda diproses.